## ctucanfd-drv 1.2.0

=== driver/Makefile ===
SRCS := ctucanfd_hw.c  ctucanfd_linux_defs.c  userspace_utils.cpp
OBJS := $(addsuffix .o,$(SRCS))
DEPS := $(wildcard *.d)

P := arm-linux-gnueabihf-

CC := $(P)gcc
CXX := $(P)g++
#CC := clang -target armv7a-pc-linux-gnueabi -march=armv7 -mthumb
XFLAGS := -Wall -Wextra -O2 -D__LITTLE_ENDIAN_BITFIELD -mthumb
CFLAGS := $(XFLAGS) -Werror=implicit-function-declaration
CXXFLAGS := $(XFLAGS)
#LDFLAGS := -fuse-ld=gold

all: test regtest
ifeq ($(shell hostname),hathi)
	cp ./test ./regtest /srv/nfs4/debian-armhf-devel/
endif

ctu_can_%.h : ctucan%.h
	ln -s $< $@

test: $(OBJS) ctucanfd_userspace.cpp.o
	$(CXX) $(CXXFLAGS) -o $@ $^ $(LDFLAGS)
regtest: $(OBJS) regtest.cpp.o
	$(CXX) $(CXXFLAGS) -o $@ $^ $(LDFLAGS)
%.c.o: %.c
	$(CC) $(CFLAGS) -MMD -MP -c $< -o $@
%.cpp.o: %.cpp
	$(CXX) $(CXXFLAGS) -MMD -MP -c $< -o $@

.PHONY: all clean
clean:
	-rm -f test *.o $(DEPS)

-include $(DEPS)

=== test/Makefile ===
PYTHON := python3
XUNIT ?= 0
BUILD_DIR = build
TESTFW_DIR = testfw

TEST_FLAGS = -p10
TEST_OPTS_test_debug := --no-strict

all: test coverage functional_coverage

# Run test config
%:
	VUNIT_SIMULATOR=nvc $(PYTHON) run.py $@ $(TEST_OPTS_$@) $(TEST_FLAGS) $< --xunit-xml $@.xml


# Convert results to HTML, pack and publish textual summary
%_logs:

# Process reports
#	junit2html --report-matrix $*.html $*.xml
#	tar -czvf $*.gz $*.html $*.xml.html
	junit2html --summary-matrix $*.xml > $*_summary

# Sum simulation time from all tests
	cat vunit_out/test_output/*/output.txt | \
		grep "simulation stopped" | \
		grep -Eo "[0-9]+(us|ns|ps)" | \
		sed 's/ps/000/g' | \
		sed 's/ns/000000/g' | \
		sed 's/us/000000000/g' | \
		paste -sd+ | bc > $*.sim_time
	echo "Total simulated time is `cat $*.sim_time` fs"

# Cleanup
#	rm -f $*.html
#	rm -f $*.xml.html
#	rm -f $*.xml


######################################################################################
# Coverage processing
######################################################################################
functional_coverage:
	mkdir -p vunit_out/functional_coverage/html
	$(PYTHON) $(TESTFW_DIR)/test_parse_psl_coverage.py

clean:
	rm -Rf vunit_out

FORCE:

.PHONY: all elaborate clean

=== doc/core/Makefile ===
all: Progdokum ctu_can_fd_architecture tb_architecture

Progdokum: version.tex
	#lyx --export-to pdf Progdokum.pdf Progdokum.lyx
	lyx --export-to latex $@.tex $@.lyx
	sed -rie '/\{inputenc\}/d' $@.tex
	iconv -f latin2 -t utf8 <$@.tex >$@.tex-1 && mv $@.tex-1 $@.tex
	xelatex $@
	# run again to generate PDF outline and references
	xelatex $@
	xelatex $@

ctu_can_fd_architecture: version.tex
	lyx --export-to latex $@.tex $@.lyx
	sed -rie '/\{inputenc\}/d' $@.tex
	iconv -f latin2 -t utf8 <$@.tex >$@.tex-1 && mv $@.tex-1 $@.tex
	xelatex $@
	# run again to generate PDF outline and references
	xelatex $@
	xelatex $@

tb_architecture: version.tex
	lyx --export-to latex $@.tex $@.lyx
	sed -rie '/\{inputenc\}/d' $@.tex
	iconv -f latin2 -t utf8 <$@.tex >$@.tex-1 && mv $@.tex-1 $@.tex
	xelatex $@
	# run again to generate PDF outline and references
	xelatex $@
	xelatex $@

version.tex: FORCE
	desc=$$(git describe --always --tags); \
	date="$$(git show -s --format=%cd --date=format:%Y-%m-%d)"; \
	echo "Datasheet $$desc, $$date" >$@

clean:
	-rm -f *.aux *.toc *.out *.log *.tex *.texe

FORCE:

.PHONY: all clean

=== doc/driver/Makefile ===
SPHINXBUILD   = sphinx-build
SPHINXOPTS    =
SPHINXDIRS    = .
SPHINX_CONF   = conf.py
PAPER         =
PDFLATEX      = xelatex
LATEXOPTS     = -interaction=batchmode


all: default

.PHONY: default

default:
	sphinx-build -b html . build

=== driver/linux/Makefile ===
# CTU CAN FD ip core Linux driver Makefile

# Invoked make without parameters for native build for current running kernel
# Set KERNEL_VERSION variable to compile for specific installed kernel version
# Exact location of Linux kernel build tree can be chosen by KDIR variable
# If you build for different CPU architecture than native and you do not
# use GNUmakefile trick to set CROSS_COMPILE and ARCH then set these to
# matching values else you do not screw only CTU CAN FD build but even
# base kernel build

#CROSS_COMPILE?= arm-linux-gnueabihf-
#KDIR ?= /home/mjerabek/projects/kernel/linux-4.15-build/zynq
#ARCH=arm

ifeq ($(KDIR),)
ifeq ($(KERNEL_VERSION),)
KERNEL_VERSION=$(shell uname -r)
endif

KDIR = /lib/modules/$(KERNEL_VERSION)/build
endif

MAKEARGS := -C $(KDIR)
MAKEARGS += $(if $(ARCH),ARCH=$(ARCH))
MAKEARGS += $(if $(CROSS_COMPILE),CROSS_COMPILE=$(CROSS_COMPILE))

$(warning "$(MAKEARGS)")

.PHONY: default checkpatch clean

default:
	$(MAKE) $(MAKEARGS) M=$$PWD
ifneq ($(INSTALL_DIR),)
	-rm -f $(INSTALL_DIR)/ctucanfd.ko
	-rm -f $(INSTALL_DIR)/ctucanfd_platform.ko
	cp ctucanfd.ko $(INSTALL_DIR)/
	cp ctucanfd_platform.ko $(INSTALL_DIR)/
endif

CTUCANFD_SOURCES = ctucanfd_base.c ctucanfd_kframe.h ctucanfd_kregs.h ctucanfd_platform.c ctucanfd_pci.c

checkpatch:
	cd $(KDIR) && (! $(KDIR)/source/scripts/checkpatch.pl -f --no-tree $(CTUCANFD_SOURCES:%=$(PWD)/%) | grep ERROR:)

clean:
	$(MAKE) $(MAKEARGS) M=$$PWD clean

=== synthesis/Quartus/Makefile ===
QUARTUS_PROJECT_NAME = Benchmark_project

QUARTUS_PROJECT_FILE = $(QUARTUS_PROJECT_NAME).qsf

SOURCE_FILES_FROM_QSF=$(shell sed -n 's/set_global_assignment -name [^ \t]*_FILE \([^ ]*\)\(\| -.*\)$$/\1/p' < $(QUARTUS_PROJECT_FILE) )

#$(warning $(SOURCE_FILES_FROM_QSF))

all : $(QUARTUS_PROJECT_NAME).svf

# do not bail out if files do not exist
SDC_FILE Benchmark_project.sdc:
SDC_FILE Benchmark_project.out.sdc:

output_files/$(QUARTUS_PROJECT_NAME).sof : update_core_sources
output_files/$(QUARTUS_PROJECT_NAME).sof : $(QUARTUS_PROJECT_FILE) $(SOURCE_FILES_FROM_QSF)
	quartus_sh --flow compile $<
	@awk '/; File Name with User-Entered Path/,/^$$/' \
	    <output_files/$(QUARTUS_PROJECT_NAME).map.rpt | \
	    sed -n -e 's/^;[^;]*;[^;]*;[^;]*; \(\/[^; ]*\) *;.*$$/\1/p'  \
	    >$(QUARTUS_PROJECT_NAME).dep.tmp || true
	@sed -n -e 's#^\(.*\)$$#\1:#p' <$(QUARTUS_PROJECT_NAME).dep.tmp \
		>$(QUARTUS_PROJECT_NAME).dep || true
	@sed -n -e 's#^\(.*\)$$#$@:\1#p' \
		<$(QUARTUS_PROJECT_NAME).dep.tmp >>$(QUARTUS_PROJECT_NAME).dep || true
	@rm $(QUARTUS_PROJECT_NAME).dep.tmp


$(QUARTUS_PROJECT_NAME).svf : output_files/$(QUARTUS_PROJECT_NAME).sof
	quartus_cpf -c -q 12MHz -g 3.3 -n v $< $@

update_core_sources:
	@find ../../src -name '*.vhd' | \
	sed -e 's/^\(.\+\)$$/set_global_assignment -name VHDL_FILE \1/' \
	> ctu_can_fd_core_sources.sf
	@awk ' \
	/\#\#\# CTU CAN FD core sources list - begin \#\#\#/  \
	{print; system("cat ctu_can_fd_core_sources.sf"); banner=1; next} '' \
	/\#\#\# CTU CAN FD core sources list - end \#\#\#/ {banner=0}  \
	banner {next} '' \
	{print} \
	' $(QUARTUS_PROJECT_FILE) >$(QUARTUS_PROJECT_FILE).tmp
	@if ! cmp $(QUARTUS_PROJECT_FILE) $(QUARTUS_PROJECT_FILE).tmp ; then \
		mv -f $(QUARTUS_PROJECT_FILE).tmp $(QUARTUS_PROJECT_FILE) ; \
	fi
	@rm -f $(QUARTUS_PROJECT_FILE).tmp

clean:
	rm -f *.rpt *.sopcinfo *.bak *.dep *.orig *.svf *.qws ctu_can_fd_core_sources.sf
	rm -rf output_files incremental_db .qsys_edit pcie_core greybox_tmp db

.PHONNY: clean all update_core_sources

-include $(QUARTUS_PROJECT_NAME).dep

=== tools/Kvaser_logger/Makefile ===

CFLAGS = -Wall
CC = gcc
LIBS = -lcanlib -lpthread -lm -lutil

INCLUDE = kvalt_logger.c kvaser.c stp.c data_processor.c

all:
	@echo ***** Building Kvaser/Altera CAN logger *****
	rm -rf build
	mkdir build
	$(CC) $(CFLAGS) -o build/kvalt_logger $(INCLUDE) $(LIBS)

clean:  
	@echo ***** Cleaning Kvaser/Altera CAN logger *****
	rm -rf build

=== test/main_tb/iso-16845-compliance-tests/CMakeLists.txt ===
###############################################################################
#
# ISO16845 Compliance tests Copyright (C) 2021-present Ondrej Ille
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this SW component and associated documentation files (the "Component"),
# to use, copy, modify, merge, publish, distribute the Component for
# educational, research, evaluation, self-interest purposes. Using the
# Component for commercial purposes is forbidden unless previously agreed with
# Copyright holder.
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Component.
#
# THE COMPONENT IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHTHOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE COMPONENT OR THE USE OR OTHER DEALINGS
# IN THE COMPONENT.
#
# Author: Ondrej Ille, <ondrej.ille@gmail.com>
# Date: 27.3.2020
#
###############################################################################

cmake_minimum_required(VERSION 3.5)

project(ISO16845_COMPLIANCE_TESTS)

SET (CMAKE_CXX_STANDARD 17)
SET (CMAKE_CXX_STANDARD_REQUIRED ON)

MESSAGE(STATUS "Build type: " CMAKE_BUILD_TYPE)
add_compile_options(-fPIC -Wall
                          -Wextra
                          -Wpedantic
                          -Wconversion
                          -Wcast-align
                          -Wdouble-promotion
                          -Wmaybe-uninitialized
                          -Wstrict-aliasing
                          -Wstrict-overflow
                          -Wunused
                          -Wunsafe-loop-optimizations -I -c)

IF (CMAKE_BUILD_TYPE STREQUAL "Debug")
    add_compile_options(-g -O0)
    add_definitions("-DDEBUG_BUILD")
ELSEIF (CMAKE_BUILD_TYPE STREQUAL "Release")
    add_compile_options(-O3)
ENDIF()

FIND_PROGRAM(CPP_CHECK "cppcheck")
IF (CPP_CHECK)
    set(CMAKE_CXX_CPPCHECK "cppcheck")
ENDIF()

enable_testing()

SET(CTEST_OUTPUT_ON_FAILURE TRUE)

# Needed for driver defines that are used to access registers!
# Using original bitfield header file.
add_compile_definitions(__LITTLE_ENDIAN_BITFIELD)

include_directories(src/can_lib src/test_lib src/cosimulation src/compliance_tests)

add_subdirectory(src)
add_subdirectory(test)

set (EXECUTABLE_OUTPUT_PATH bin)

=== test/main_tb/iso-16845-compliance-tests/src/CMakeLists.txt ===

add_subdirectory(can_lib)
add_subdirectory(test_lib)
add_subdirectory(cosimulation)
add_subdirectory(compliance_tests)

=== test/main_tb/iso-16845-compliance-tests/test/CMakeLists.txt ===
macro(add_can_lib_test TEST_FILE TEST_NAME)
    add_executable(${TEST_NAME}_BIN ${TEST_FILE})
    target_link_libraries(${TEST_NAME}_BIN $<TARGET_OBJECTS:CAN_LIB>)
    add_test(${TEST_NAME} ${TEST_NAME}_BIN)
endmacro()


#add_can_lib_test(ExampleTest.cpp EXAMPLE_TEST)
#add_can_lib_test(FrameFlagsTest.cpp FRAME_FLAGS_TEST)
#add_can_lib_test(FrameTest.cpp FRAME_TEST)
#add_can_lib_test(CycleBitValueTest.cpp CYCLE_BIT_VALUE_TEST)
#add_can_lib_test(TimeQuantaTest.cpp TIME_QUANTA_TEST)

=== test/main_tb/iso-16845-compliance-tests/src/can_lib/CMakeLists.txt ===
###############################################################################
#
# Copyright (C) Ondrej Ille - All Rights Reserved
#
# Copying, publishing, distributing of this file is stricly prohibited unless
# previously aggreed with author of this text.
#
# Author: Ondrej Ille, <ondrej.ille@gmail.com>
# Date: 27.3.2020
#
###############################################################################

add_library(
    CAN_LIB OBJECT

    can.cpp

    Bit.cpp
    TimeQuanta.cpp
    Cycle.cpp
    Frame.cpp
    BitFrame.cpp
    FrameFlags.cpp
    BitTiming.cpp
    CtuCanFdInterface.cpp
)

=== test/main_tb/iso-16845-compliance-tests/src/compliance_tests/CMakeLists.txt ===

###############################################################################
#
# Copyright (C) Ondrej Ille - All Rights Reserved
#
# Copying, publishing, distributing of this file is stricly prohibited unless
# previously aggreed with author of this text.
#
# Author: Ondrej Ille, <ondrej.ille@gmail.com>
# Date: 27.3.2020
#
###############################################################################

add_library(
    COMPLIANCE_TESTS OBJECT

    TestBase.cpp
    TestDemo.cpp
    TestIso_7_1_1.cpp
    TestIso_7_1_2.cpp
    TestIso_7_1_3.cpp
    TestIso_7_1_4.cpp
    TestIso_7_1_5.cpp
    TestIso_7_1_6.cpp
    TestIso_7_1_7.cpp
    TestIso_7_1_8.cpp
    TestIso_7_1_9.cpp
    TestIso_7_1_10.cpp
    TestIso_7_1_11.cpp
    TestIso_7_1_12.cpp

    TestIso_7_2_1.cpp
    TestIso_7_2_2.cpp
    TestIso_7_2_2_a.cpp
    TestIso_7_2_2_b.cpp
    TestIso_7_2_3.cpp
    TestIso_7_2_3_a.cpp
    TestIso_7_2_3_b.cpp
    TestIso_7_2_4.cpp
    TestIso_7_2_4_a.cpp
    TestIso_7_2_4_b.cpp
    TestIso_7_2_5.cpp
    TestIso_7_2_6.cpp
    TestIso_7_2_7.cpp
    TestIso_7_2_8.cpp
    TestIso_7_2_9.cpp
    TestIso_7_2_10.cpp
    TestIso_7_2_11.cpp

    TestIso_7_3_1.cpp
    TestIso_7_3_2.cpp
    TestIso_7_3_3.cpp
    TestIso_7_3_4.cpp

    TestIso_7_4_1.cpp
    TestIso_7_4_2.cpp
    TestIso_7_4_3.cpp
    TestIso_7_4_4.cpp
    TestIso_7_4_5.cpp
    TestIso_7_4_6.cpp
    TestIso_7_4_7.cpp

    TestIso_7_5_1.cpp
    TestIso_7_5_2.cpp
    TestIso_7_5_5.cpp
    TestIso_7_5_3.cpp
    TestIso_7_5_4.cpp
    TestIso_7_5_6.cpp
    TestIso_7_5_7.cpp

    TestIso_7_6_1.cpp
    TestIso_7_6_2.cpp
    TestIso_7_6_3.cpp
    TestIso_7_6_4.cpp
    TestIso_7_6_5.cpp
    TestIso_7_6_6.cpp
    TestIso_7_6_7.cpp
    TestIso_7_6_8.cpp
    TestIso_7_6_9.cpp
    TestIso_7_6_10.cpp
    TestIso_7_6_11.cpp
    TestIso_7_6_12.cpp
    TestIso_7_6_13.cpp
    TestIso_7_6_14.cpp
    TestIso_7_6_15.cpp
    TestIso_7_6_16.cpp
    TestIso_7_6_17.cpp
    TestIso_7_6_18.cpp
    TestIso_7_6_19.cpp
    TestIso_7_6_20.cpp
    TestIso_7_6_21.cpp
    TestIso_7_6_22.cpp
    TestIso_7_6_23.cpp

    TestIso_7_7_1.cpp
    TestIso_7_7_2.cpp
    TestIso_7_7_3.cpp
    TestIso_7_7_4.cpp
    TestIso_7_7_5.cpp
    TestIso_7_7_6.cpp
    TestIso_7_7_7.cpp
    TestIso_7_7_8.cpp
    TestIso_7_7_9_1.cpp
    TestIso_7_7_9_2.cpp
    TestIso_7_7_10.cpp
    TestIso_7_7_11.cpp

    TestIso_7_8_1_1.cpp
    TestIso_7_8_1_2.cpp
    TestIso_7_8_1_3.cpp
    TestIso_7_8_2_1.cpp
    TestIso_7_8_2_2.cpp
    TestIso_7_8_3_1.cpp
    TestIso_7_8_3_2.cpp
    TestIso_7_8_3_3.cpp
    TestIso_7_8_4_1.cpp
    TestIso_7_8_4_2.cpp
    TestIso_7_8_4_3.cpp
    TestIso_7_8_5_1.cpp
    TestIso_7_8_5_2.cpp
    TestIso_7_8_5_3.cpp
    TestIso_7_8_6_1.cpp
    TestIso_7_8_6_2.cpp
    TestIso_7_8_6_3.cpp
    TestIso_7_8_7_1.cpp
    TestIso_7_8_7_2.cpp
    TestIso_7_8_7_3.cpp
    TestIso_7_8_8_1.cpp
    TestIso_7_8_8_2.cpp
    TestIso_7_8_8_3.cpp
    TestIso_7_8_9_1.cpp
    TestIso_7_8_9_2.cpp
    TestIso_7_8_9_3.cpp

    TestIso_8_1_1.cpp
    TestIso_8_1_2.cpp
    TestIso_8_1_3.cpp
    TestIso_8_1_4.cpp
    TestIso_8_1_5.cpp
    TestIso_8_1_6.cpp
    TestIso_8_1_7.cpp
    TestIso_8_1_8.cpp

    TestIso_8_2_1.cpp
    TestIso_8_2_2.cpp
    TestIso_8_2_3.cpp
    TestIso_8_2_4.cpp
    TestIso_8_2_5.cpp
    TestIso_8_2_6.cpp
    TestIso_8_2_7.cpp
    TestIso_8_2_8.cpp

    TestIso_8_3_1.cpp
    TestIso_8_3_2.cpp
    TestIso_8_3_3.cpp
    TestIso_8_3_4.cpp

    TestIso_8_4_1.cpp
    TestIso_8_4_2.cpp
    TestIso_8_4_3.cpp
    TestIso_8_4_4.cpp
    TestIso_8_4_5.cpp

    TestIso_8_5_1.cpp
    TestIso_8_5_2.cpp
    TestIso_8_5_3.cpp
    TestIso_8_5_4.cpp
    TestIso_8_5_5.cpp
    TestIso_8_5_6.cpp
    TestIso_8_5_7.cpp
    TestIso_8_5_8.cpp
    TestIso_8_5_9.cpp
    TestIso_8_5_10.cpp
    TestIso_8_5_12.cpp
    TestIso_8_5_13.cpp
    TestIso_8_5_14.cpp
    TestIso_8_5_15.cpp

    TestIso_8_6_1.cpp
    TestIso_8_6_2.cpp
    TestIso_8_6_3.cpp
    TestIso_8_6_4.cpp
    TestIso_8_6_5.cpp
    TestIso_8_6_6.cpp
    TestIso_8_6_7.cpp
    TestIso_8_6_8.cpp
    TestIso_8_6_9.cpp
    TestIso_8_6_10.cpp
    TestIso_8_6_11.cpp
    TestIso_8_6_12.cpp
    TestIso_8_6_13.cpp
    TestIso_8_6_14.cpp
    TestIso_8_6_15.cpp
    TestIso_8_6_16.cpp
    TestIso_8_6_17.cpp
    TestIso_8_6_18.cpp
    TestIso_8_6_19.cpp
    TestIso_8_6_20.cpp
    TestIso_8_6_21.cpp

    TestIso_8_7_1.cpp
    TestIso_8_7_2.cpp
    TestIso_8_7_3.cpp
    TestIso_8_7_4.cpp
    TestIso_8_7_5.cpp
    TestIso_8_7_6.cpp
    TestIso_8_7_7.cpp
    TestIso_8_7_8.cpp
    TestIso_8_7_9.cpp

    TestIso_8_8_1_1.cpp
    TestIso_8_8_1_2.cpp
    TestIso_8_8_1_3.cpp
    TestIso_8_8_1_4.cpp
    TestIso_8_8_2_1.cpp
    TestIso_8_8_2_2.cpp
    TestIso_8_8_2_3.cpp
    TestIso_8_8_2_4.cpp
    TestIso_8_8_3_1.cpp
    TestIso_8_8_3_2.cpp
    TestIso_8_8_4_1.cpp
    TestIso_8_8_4_2.cpp
    TestIso_8_8_5_1.cpp
    TestIso_8_8_5_2.cpp

    TestIso_9_6_1.cpp
    TestIso_9_6_2.cpp
)

=== debian/changelog ===
ctucanfd-drv (1.2.0) unstable; urgency=medium

  * Update return type of platform driver remove function for 6.11+ kernels

 -- Pavel Pisa <pisa@cmp.felk.cvut.cz>  Wed, 01 Oct 2025 16:44:18 +0200

ctucanfd-drv (1.1.0) unstable; urgency=medium

  * Use dh-dkms providing dh-sequence-dkms on newer Debian releases

 -- Pavel Pisa <pisa@cmp.felk.cvut.cz>  Tue, 19 Sep 2023 01:16:26 +0200

ctucanfd-drv (1.0.0) unstable; urgency=medium

  * Initial dkms build.

 -- Pavel Pisa <ppisa@pikron.com>  Fri, 18 Jan 2019 19:09:04 +0100

=== debian/control ===
Source: ctucanfd-drv
Maintainer: Pavel Pisa <pisa@cmp.felk.cvut.cz>
Section: admin
Priority: optional
Build-Depends: debhelper (>=9),
               dh-dkms | dkms
Standards-Version: 1.0.0
Vcs-Browser: https://gitlab.fel.cvut.cz/canbus/ctucanfd_ip_core
Vcs-Git: https://gitlab.fel.cvut.cz/canbus/ctucanfd_ip_core.git
Homepage: https://gitlab.fel.cvut.cz/canbus/ctucanfd_ip_core

Package: ctucanfd-drv
Architecture: all
Depends: ${misc:Depends}
Description: CTU CAN FD IP Core driver
 CAN with Flexible Data-rate IP Core developed
 at Department of Measurement of FEE CTU.
 .
 This package provides driver for the core.
 It supports PCI express cards as well as it provides
 platform driver for SoC integration when appropriate
 device tree is provided.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

export OMIT_KERNEL_PASSES = y

PACKAGE_NAME=$(shell grep PACKAGE_NAME= driver/dkms.conf | cut -d= -f2 | cut -d\" -f2)
PACKAGE_VERSION=$(shell grep PACKAGE_VERSION= driver/dkms.conf | cut -d= -f2 | cut -d\" -f2)
export PACKAGE_NAME PACKAGE_VERSION

%:
	dh $@ --with dkms

# Nothing to configure, build or auto-install (this all happens after
# installation using dkms)
override_dh_auto_configure:
override_dh_auto_build:
override_dh_auto_install:
